#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "KessokCarrier"
iconName = "KessokCarrier"
longName = "Kessok Carrier"
shipFile = "KessokCarrier"
species = App.SPECIES_GALAXY
menuGroup = "Kessok Ships"
playerMenuGroup = "Kessok Ships"
Foundation.ShipDef.KessokCarrier = Foundation.KessokShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.KessokCarrier.desc = "The Kessok Carrier is one of the largest Known Kessok Starships. The Ship is similar in size to a federation Galaxy Class Starship, the vessel is lightly armed but features powerful shield generators in the event the ship is attacked it can remain in a fire fight much longer than most until assistance arrives, the vessel is one of the largest freighters of any known race, the freighters were originally colonization ships from the Kessok Colonization fleet. \n\nIn 2373 nine of these ships arrived in the Omega draconis system which was a site of a new Kessok colony, six of the colony vessels were dismantled and used to assist the establishment of the colony, the remaining three were used to gather resources from nearby planets, their size allowed for more cargo to be hauled in a single run, ideal for the small colony.\n\nShields:\nFore - 8000\nDorsal - 4000\nVentral - 4000\nPort - 4000\nStarboard - 4000\nAft - 2500\n\nWeapons:\n1 Fore Positron Torpedo launcher\n2 Fore Phasers\n2 Aft Phaser Cannons\n"
Foundation.ShipDef.KessokCarrier.CloakingSFX = ""
Foundation.ShipDef.KessokCarrier.DeCloakingSFX = ""
Foundation.ShipDef.KessokCarrier.fMaxWarp = 7.75 + 0.0001
Foundation.ShipDef.KessokCarrier.fCruiseWarp = 6.5 + 0.0001
Foundation.ShipDef.KessokCarrier.fCrew = 350


if menuGroup:           Foundation.ShipDef.KessokCarrier.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.KessokCarrier.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
