#####  Created by:
#####  Bridge Commander Universal Tool



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(7500.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(64.000000, 65.000000)
Hull.SetRepairComplexity(2.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(1.200000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
WarpCore = App.PowerProperty_Create("Warp Core")

WarpCore.SetMaxCondition(5000.000000)
WarpCore.SetCritical(1)
WarpCore.SetTargetable(1)
WarpCore.SetPrimary(1)
WarpCore.SetPosition(0.000000, -0.500000, -0.100000)
WarpCore.SetPosition2D(64.000000, 95.000000)
WarpCore.SetRepairComplexity(2.500000)
WarpCore.SetDisabledPercentage(0.500000)
WarpCore.SetRadius(0.350000)
WarpCore.SetMainBatteryLimit(90000.000000)
WarpCore.SetBackupBatteryLimit(55000.000000)
WarpCore.SetMainConduitCapacity(1000.000000)
WarpCore.SetBackupConduitCapacity(50.000000)
WarpCore.SetPowerOutput(800.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpCore)
#################################################
RepairSystem = App.RepairSubsystemProperty_Create("Repair System")

RepairSystem.SetMaxCondition(2000.000000)
RepairSystem.SetCritical(0)
RepairSystem.SetTargetable(1)
RepairSystem.SetPrimary(1)
RepairSystem.SetPosition(0.000000, -0.600000, 0.000000)
RepairSystem.SetPosition2D(64.000000, 50.000000)
RepairSystem.SetRepairComplexity(20.000000)
RepairSystem.SetDisabledPercentage(0.000000)
RepairSystem.SetRadius(0.300000)
RepairSystem.SetNormalPowerPerSecond(1.000000)
RepairSystem.SetMaxRepairPoints(75.000000)
RepairSystem.SetNumRepairTeams(3)
App.g_kModelPropertyManager.RegisterLocalTemplate(RepairSystem)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(6000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(0.000193, 2.498160, 0.480823)
SensorArray.SetPosition2D(64.000000, 80.000000)
SensorArray.SetRepairComplexity(0.950000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.250000)
SensorArray.SetNormalPowerPerSecond(50.000000)
SensorArray.SetBaseSensorRange(2500.000000)
SensorArray.SetMaxProbes(15)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(7500.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(-0.011461, 1.799080, -0.188586)
ShieldGenerator.SetPosition2D(64.000000, 65.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.750000)
ShieldGenerator.SetRadius(0.300000)
ShieldGenerator.SetNormalPowerPerSecond(300.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.294118, 0.184314, 0.811765, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 8000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 2500.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 4000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 4000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 14.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 10.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 12.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 12.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 12.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 12.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(2400.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(0.000000, 0.500000, 0.000000)
Torpedoes.SetPosition2D(64.000000, 40.000000)
Torpedoes.SetRepairComplexity(3.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.250000)
Torpedoes.SetNormalPowerPerSecond(200.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 25)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.TUKessokPositron")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
Torpedo = App.TorpedoTubeProperty_Create("Torpedo")

Torpedo.SetMaxCondition(2400.000000)
Torpedo.SetCritical(0)
Torpedo.SetTargetable(1)
Torpedo.SetPrimary(1)
Torpedo.SetPosition(-0.013384, 3.328650, -0.145146)
Torpedo.SetPosition2D(67.000000, 18.000000)
Torpedo.SetRepairComplexity(3.000000)
Torpedo.SetDisabledPercentage(0.750000)
Torpedo.SetRadius(0.160000)
Torpedo.SetDumbfire(1)
Torpedo.SetWeaponID(0)
Torpedo.SetGroups(1)
Torpedo.SetDamageRadiusFactor(0.400000)
Torpedo.SetIconNum(370)
Torpedo.SetIconPositionX(76.000000)
Torpedo.SetIconPositionY(49.000000)
Torpedo.SetIconAboveShip(1)
Torpedo.SetImmediateDelay(0.250000)
Torpedo.SetReloadDelay(45.000000)
Torpedo.SetMaxReady(1)
TorpedoDirection = App.TGPoint3()
TorpedoDirection.SetXYZ(0.000000, 1.000000, 0.000000)
Torpedo.SetDirection(TorpedoDirection)
TorpedoRight = App.TGPoint3()
TorpedoRight.SetXYZ(1.000000, 0.000000, 0.000000)
Torpedo.SetRight(TorpedoRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedo)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(2000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.000000, 0.000000)
ImpulseEngines.SetPosition2D(0.000000, 0.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.250000)
ImpulseEngines.SetNormalPowerPerSecond(100.000000)
ImpulseEngines.SetMaxAccel(5.000000)
ImpulseEngines.SetMaxAngularAccel(0.500000)
ImpulseEngines.SetMaxAngularVelocity(0.600000)
ImpulseEngines.SetMaxSpeed(9.000000)
ImpulseEngines.SetEngineSound("Kessok Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
PortImpulse1 = App.EngineProperty_Create("Port Impulse 1")

PortImpulse1.SetMaxCondition(2000.000000)
PortImpulse1.SetCritical(0)
PortImpulse1.SetTargetable(1)
PortImpulse1.SetPrimary(1)
PortImpulse1.SetPosition(-0.224964, -1.947400, 0.150723)
PortImpulse1.SetPosition2D(39.000000, 108.000000)
PortImpulse1.SetRepairComplexity(3.000000)
PortImpulse1.SetDisabledPercentage(0.500000)
PortImpulse1.SetRadius(0.250000)
PortImpulse1.SetEngineType(PortImpulse1.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse1)
#################################################
StarImpulse1 = App.EngineProperty_Create("Star Impulse 1")

StarImpulse1.SetMaxCondition(2000.000000)
StarImpulse1.SetCritical(0)
StarImpulse1.SetTargetable(1)
StarImpulse1.SetPrimary(1)
StarImpulse1.SetPosition(0.241607, -1.947400, 0.149623)
StarImpulse1.SetPosition2D(83.000000, 107.000000)
StarImpulse1.SetRepairComplexity(3.000000)
StarImpulse1.SetDisabledPercentage(0.750000)
StarImpulse1.SetRadius(0.250000)
StarImpulse1.SetEngineType(StarImpulse1.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse1)
#################################################
WarpEngines = App.WarpEngineProperty_Create("Warp Engines")

WarpEngines.SetMaxCondition(4000.000000)
WarpEngines.SetCritical(0)
WarpEngines.SetTargetable(0)
WarpEngines.SetPrimary(1)
WarpEngines.SetPosition(0.000000, 0.000000, 0.000000)
WarpEngines.SetPosition2D(0.000000, 0.000000)
WarpEngines.SetRepairComplexity(3.000000)
WarpEngines.SetDisabledPercentage(0.500000)
WarpEngines.SetRadius(0.250000)
WarpEngines.SetNormalPowerPerSecond(0.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(WarpEngines)
#################################################
PortWarp = App.EngineProperty_Create("Port Warp")

PortWarp.SetMaxCondition(4000.000000)
PortWarp.SetCritical(0)
PortWarp.SetTargetable(1)
PortWarp.SetPrimary(1)
PortWarp.SetPosition(-1.253470, -0.818912, -0.133642)
PortWarp.SetPosition2D(32.000000, 89.000000)
PortWarp.SetRepairComplexity(3.000000)
PortWarp.SetDisabledPercentage(0.500000)
PortWarp.SetRadius(1.000000)
PortWarp.SetEngineType(PortWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortWarp)
#################################################
StarWarp = App.EngineProperty_Create("Star Warp")

StarWarp.SetMaxCondition(4000.000000)
StarWarp.SetCritical(0)
StarWarp.SetTargetable(1)
StarWarp.SetPrimary(1)
StarWarp.SetPosition(1.253470, -0.818912, -0.133642)
StarWarp.SetPosition2D(98.000000, 88.000000)
StarWarp.SetRepairComplexity(3.000000)
StarWarp.SetDisabledPercentage(0.500000)
StarWarp.SetRadius(1.000000)
StarWarp.SetEngineType(StarWarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarWarp)
#################################################
Beams = App.WeaponSystemProperty_Create("Beams")

Beams.SetMaxCondition(9000.000000)
Beams.SetCritical(0)
Beams.SetTargetable(0)
Beams.SetPrimary(1)
Beams.SetPosition(0.000000, 0.000000, 0.000000)
Beams.SetPosition2D(64.000000, 64.000000)
Beams.SetRepairComplexity(7.000000)
Beams.SetDisabledPercentage(0.750000)
Beams.SetRadius(0.250000)
Beams.SetNormalPowerPerSecond(200.000000)
Beams.SetWeaponSystemType(Beams.WST_PHASER)
Beams.SetSingleFire(0)
Beams.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Beams.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(Beams)
#################################################
ForwardBeam1 = App.PhaserProperty_Create("Forward Beam 1")

ForwardBeam1.SetMaxCondition(2400.000000)
ForwardBeam1.SetCritical(0)
ForwardBeam1.SetTargetable(1)
ForwardBeam1.SetPrimary(1)
ForwardBeam1.SetPosition(-0.392576, 2.797900, -0.003919)
ForwardBeam1.SetPosition2D(47.000000, 27.000000)
ForwardBeam1.SetRepairComplexity(7.000000)
ForwardBeam1.SetDisabledPercentage(0.750000)
ForwardBeam1.SetRadius(0.250000)
ForwardBeam1.SetDumbfire(0)
ForwardBeam1.SetWeaponID(2)
ForwardBeam1.SetGroups(0)
ForwardBeam1.SetDamageRadiusFactor(0.250000)
ForwardBeam1.SetIconNum(364)
ForwardBeam1.SetIconPositionX(44.000000)
ForwardBeam1.SetIconPositionY(52.000000)
ForwardBeam1.SetIconAboveShip(1)
ForwardBeam1.SetFireSound("Kessok Phaser")
ForwardBeam1.SetMaxCharge(5.000000)
ForwardBeam1.SetMaxDamage(600.000000)
ForwardBeam1.SetMaxDamageDistance(200.000000)
ForwardBeam1.SetMinFiringCharge(4.000000)
ForwardBeam1.SetNormalDischargeRate(1.000000)
ForwardBeam1.SetRechargeRate(1.000000)
ForwardBeam1.SetIndicatorIconNum(510)
ForwardBeam1.SetIndicatorIconPositionX(40.000000)
ForwardBeam1.SetIndicatorIconPositionY(48.000000)
ForwardBeam1Forward = App.TGPoint3()
ForwardBeam1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardBeam1Up = App.TGPoint3()
ForwardBeam1Up.SetXYZ(0.000000, 0.000000, 1.000000)
ForwardBeam1.SetOrientation(ForwardBeam1Forward, ForwardBeam1Up)
ForwardBeam1.SetWidth(0.010000)
ForwardBeam1.SetLength(0.010000)
ForwardBeam1.SetArcWidthAngles(-0.261799, 0.523599)
ForwardBeam1.SetArcHeightAngles(-0.349066, 0.349066)
ForwardBeam1.SetPhaserTextureStart(24)
ForwardBeam1.SetPhaserTextureEnd(31)
ForwardBeam1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 0.749020, 0.329412)
ForwardBeam1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
ForwardBeam1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.749020)
ForwardBeam1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.784314)
ForwardBeam1.SetInnerCoreColor(kColor)
ForwardBeam1.SetNumSides(6)
ForwardBeam1.SetMainRadius(0.040000)
ForwardBeam1.SetTaperRadius(0.010000)
ForwardBeam1.SetCoreScale(0.800000)
ForwardBeam1.SetTaperRatio(0.250000)
ForwardBeam1.SetTaperMinLength(5.000000)
ForwardBeam1.SetTaperMaxLength(30.000000)
ForwardBeam1.SetLengthTextureTilePerUnit(0.500000)
ForwardBeam1.SetPerimeterTile(1.000000)
ForwardBeam1.SetTextureSpeed(3.000000)
ForwardBeam1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardBeam1)
#################################################
ForwardBeam2 = App.PhaserProperty_Create("Forward Beam 2")

ForwardBeam2.SetMaxCondition(2400.000000)
ForwardBeam2.SetCritical(0)
ForwardBeam2.SetTargetable(1)
ForwardBeam2.SetPrimary(1)
ForwardBeam2.SetPosition(0.387047, 2.797900, -0.003289)
ForwardBeam2.SetPosition2D(83.000000, 28.000000)
ForwardBeam2.SetRepairComplexity(7.000000)
ForwardBeam2.SetDisabledPercentage(0.750000)
ForwardBeam2.SetRadius(0.250000)
ForwardBeam2.SetDumbfire(0)
ForwardBeam2.SetWeaponID(3)
ForwardBeam2.SetGroups(0)
ForwardBeam2.SetDamageRadiusFactor(0.250000)
ForwardBeam2.SetIconNum(364)
ForwardBeam2.SetIconPositionX(83.000000)
ForwardBeam2.SetIconPositionY(52.000000)
ForwardBeam2.SetIconAboveShip(1)
ForwardBeam2.SetFireSound("Kessok Phaser")
ForwardBeam2.SetMaxCharge(5.000000)
ForwardBeam2.SetMaxDamage(600.000000)
ForwardBeam2.SetMaxDamageDistance(200.000000)
ForwardBeam2.SetMinFiringCharge(4.000000)
ForwardBeam2.SetNormalDischargeRate(1.000000)
ForwardBeam2.SetRechargeRate(1.000000)
ForwardBeam2.SetIndicatorIconNum(510)
ForwardBeam2.SetIndicatorIconPositionX(79.000000)
ForwardBeam2.SetIndicatorIconPositionY(48.000000)
ForwardBeam2Forward = App.TGPoint3()
ForwardBeam2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardBeam2Up = App.TGPoint3()
ForwardBeam2Up.SetXYZ(0.000000, 0.000000, 1.000000)
ForwardBeam2.SetOrientation(ForwardBeam2Forward, ForwardBeam2Up)
ForwardBeam2.SetWidth(0.010000)
ForwardBeam2.SetLength(0.010000)
ForwardBeam2.SetArcWidthAngles(-0.523599, 0.261799)
ForwardBeam2.SetArcHeightAngles(-0.349066, 0.349066)
ForwardBeam2.SetPhaserTextureStart(24)
ForwardBeam2.SetPhaserTextureEnd(31)
ForwardBeam2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.329412)
ForwardBeam2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
ForwardBeam2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.337255, 0.694118, 0.901961, 0.749020)
ForwardBeam2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.337255, 0.694118, 0.901961, 0.784314)
ForwardBeam2.SetInnerCoreColor(kColor)
ForwardBeam2.SetNumSides(6)
ForwardBeam2.SetMainRadius(0.040000)
ForwardBeam2.SetTaperRadius(0.010000)
ForwardBeam2.SetCoreScale(0.800000)
ForwardBeam2.SetTaperRatio(0.250000)
ForwardBeam2.SetTaperMinLength(5.000000)
ForwardBeam2.SetTaperMaxLength(30.000000)
ForwardBeam2.SetLengthTextureTilePerUnit(0.500000)
ForwardBeam2.SetPerimeterTile(1.000000)
ForwardBeam2.SetTextureSpeed(3.000000)
ForwardBeam2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardBeam2)
#################################################
AftBeam1 = App.PhaserProperty_Create("Aft Beam 1")

AftBeam1.SetMaxCondition(1200.000000)
AftBeam1.SetCritical(0)
AftBeam1.SetTargetable(1)
AftBeam1.SetPrimary(1)
AftBeam1.SetPosition(-0.117751, -1.937510, 0.335124)
AftBeam1.SetPosition2D(59.000000, 104.000000)
AftBeam1.SetRepairComplexity(7.000000)
AftBeam1.SetDisabledPercentage(0.750000)
AftBeam1.SetRadius(0.100000)
AftBeam1.SetDumbfire(0)
AftBeam1.SetWeaponID(6)
AftBeam1.SetGroups(0)
AftBeam1.SetDamageRadiusFactor(0.250000)
AftBeam1.SetIconNum(366)
AftBeam1.SetIconPositionX(72.000000)
AftBeam1.SetIconPositionY(111.000000)
AftBeam1.SetIconAboveShip(1)
AftBeam1.SetFireSound("Kessok Phaser")
AftBeam1.SetMaxCharge(1.000000)
AftBeam1.SetMaxDamage(400.000000)
AftBeam1.SetMaxDamageDistance(120.000000)
AftBeam1.SetMinFiringCharge(0.500000)
AftBeam1.SetNormalDischargeRate(0.500000)
AftBeam1.SetRechargeRate(1.000000)
AftBeam1.SetIndicatorIconNum(511)
AftBeam1.SetIndicatorIconPositionX(60.000000)
AftBeam1.SetIndicatorIconPositionY(104.000000)
AftBeam1Forward = App.TGPoint3()
AftBeam1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftBeam1Up = App.TGPoint3()
AftBeam1Up.SetXYZ(0.000000, 0.000000, 1.000000)
AftBeam1.SetOrientation(AftBeam1Forward, AftBeam1Up)
AftBeam1.SetWidth(0.010000)
AftBeam1.SetLength(0.010000)
AftBeam1.SetArcWidthAngles(-0.174533, 0.174533)
AftBeam1.SetArcHeightAngles(-0.174533, 0.174533)
AftBeam1.SetPhaserTextureStart(24)
AftBeam1.SetPhaserTextureEnd(31)
AftBeam1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.329412)
AftBeam1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
AftBeam1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.337255, 0.694118, 0.901961, 0.749020)
AftBeam1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.337255, 0.694118, 0.901961, 0.784314)
AftBeam1.SetInnerCoreColor(kColor)
AftBeam1.SetNumSides(6)
AftBeam1.SetMainRadius(0.040000)
AftBeam1.SetTaperRadius(0.010000)
AftBeam1.SetCoreScale(0.800000)
AftBeam1.SetTaperRatio(0.250000)
AftBeam1.SetTaperMinLength(5.000000)
AftBeam1.SetTaperMaxLength(30.000000)
AftBeam1.SetLengthTextureTilePerUnit(0.500000)
AftBeam1.SetPerimeterTile(1.000000)
AftBeam1.SetTextureSpeed(3.000000)
AftBeam1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftBeam1)
#################################################
AftBeam2 = App.PhaserProperty_Create("Aft Beam 2")

AftBeam2.SetMaxCondition(1200.000000)
AftBeam2.SetCritical(0)
AftBeam2.SetTargetable(1)
AftBeam2.SetPrimary(1)
AftBeam2.SetPosition(0.104455, -1.936030, 0.338587)
AftBeam2.SetPosition2D(69.000000, 104.000000)
AftBeam2.SetRepairComplexity(7.000000)
AftBeam2.SetDisabledPercentage(0.750000)
AftBeam2.SetRadius(0.100000)
AftBeam2.SetDumbfire(0)
AftBeam2.SetWeaponID(7)
AftBeam2.SetGroups(0)
AftBeam2.SetDamageRadiusFactor(0.250000)
AftBeam2.SetIconNum(366)
AftBeam2.SetIconPositionX(81.000000)
AftBeam2.SetIconPositionY(111.000000)
AftBeam2.SetIconAboveShip(1)
AftBeam2.SetFireSound("Kessok Phaser")
AftBeam2.SetMaxCharge(1.000000)
AftBeam2.SetMaxDamage(400.000000)
AftBeam2.SetMaxDamageDistance(120.000000)
AftBeam2.SetMinFiringCharge(0.500000)
AftBeam2.SetNormalDischargeRate(0.500000)
AftBeam2.SetRechargeRate(1.000000)
AftBeam2.SetIndicatorIconNum(511)
AftBeam2.SetIndicatorIconPositionX(60.000000)
AftBeam2.SetIndicatorIconPositionY(104.000000)
AftBeam2Forward = App.TGPoint3()
AftBeam2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
AftBeam2Up = App.TGPoint3()
AftBeam2Up.SetXYZ(0.000000, 0.000000, 1.000000)
AftBeam2.SetOrientation(AftBeam2Forward, AftBeam2Up)
AftBeam2.SetWidth(0.010000)
AftBeam2.SetLength(0.010000)
AftBeam2.SetArcWidthAngles(-0.174533, 0.174533)
AftBeam2.SetArcHeightAngles(-0.174533, 0.174533)
AftBeam2.SetPhaserTextureStart(24)
AftBeam2.SetPhaserTextureEnd(31)
AftBeam2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.329412)
AftBeam2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
AftBeam2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.337255, 0.694118, 0.901961, 0.749020)
AftBeam2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.337255, 0.694118, 0.901961, 0.784314)
AftBeam2.SetInnerCoreColor(kColor)
AftBeam2.SetNumSides(6)
AftBeam2.SetMainRadius(0.040000)
AftBeam2.SetTaperRadius(0.010000)
AftBeam2.SetCoreScale(0.800000)
AftBeam2.SetTaperRatio(0.250000)
AftBeam2.SetTaperMinLength(5.000000)
AftBeam2.SetTaperMaxLength(30.000000)
AftBeam2.SetLengthTextureTilePerUnit(0.500000)
AftBeam2.SetPerimeterTile(1.000000)
AftBeam2.SetTextureSpeed(3.000000)
AftBeam2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftBeam2)
#################################################
KessokCarrier = App.ShipProperty_Create("Kessok Carrier")

KessokCarrier.SetGenus(1)
KessokCarrier.SetSpecies(502)
KessokCarrier.SetMass(140.000000)
KessokCarrier.SetRotationalInertia(10000.000000)
KessokCarrier.SetShipName("Kessok Carrier")
KessokCarrier.SetModelFilename("data/Models/Ships/KessokCarrier.nif")
KessokCarrier.SetDamageResolution(15.000000)
KessokCarrier.SetAffiliation(0)
KessokCarrier.SetStationary(0)
KessokCarrier.SetAIString("NonFedAttack")
KessokCarrier.SetDeathExplosionSound("g_lsDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(KessokCarrier)
#################################################
CloakingDevice = App.CloakingSubsystemProperty_Create("Cloaking Device")

CloakingDevice.SetMaxCondition(500.000000)
CloakingDevice.SetCritical(0)
CloakingDevice.SetTargetable(1)
CloakingDevice.SetPrimary(1)
CloakingDevice.SetPosition(-0.010862, -1.445850, -0.188587)
CloakingDevice.SetPosition2D(64.000000, 35.000000)
CloakingDevice.SetRepairComplexity(6.000000)
CloakingDevice.SetDisabledPercentage(0.750000)
CloakingDevice.SetRadius(0.280000)
CloakingDevice.SetNormalPowerPerSecond(700.000000)
CloakingDevice.SetCloakStrength(50.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(CloakingDevice)
#################################################
Strobe = App.BlinkingLightProperty_Create("Strobe")

StrobeForward = App.TGPoint3()
StrobeForward.SetXYZ(0.000000, 1.000000, 0.000000)
StrobeUp = App.TGPoint3()
StrobeUp.SetXYZ(0.000000, 0.000000, 1.000000)
StrobeRight = App.TGPoint3()
StrobeRight.SetXYZ(1.000000, 0.000000, 0.000000)
Strobe.SetOrientation(StrobeForward, StrobeUp, StrobeRight)
StrobePosition = App.TGPoint3()
StrobePosition.SetXYZ(0.000000, 0.000000, 0.000000)
Strobe.SetPosition(StrobePosition)
StrobeLightColor = App.TGColorA()
StrobeLightColor.SetRGBA(1.000000, 1.000000, 1.000000, 1.000000)
Strobe.SetColor(StrobeLightColor)
Strobe.SetRadius(0.100000)
Strobe.SetPeriod(3.000000)
Strobe.SetDuration(1.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Strobe)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(-0.005406, 3.164750, 0.239961)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.002201, -1.914560, 0.074566)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-0.506274, 1.176250, 0.083337)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.506274, 1.176250, 0.083337)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.007432, 0.130922, 0.523405)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.007432, 0.130922, -0.190000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 1.600000, 0.000000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
TractorSystem = App.WeaponSystemProperty_Create("Tractor System")

TractorSystem.SetMaxCondition(1500.000000)
TractorSystem.SetCritical(0)
TractorSystem.SetTargetable(1)
TractorSystem.SetPrimary(1)
TractorSystem.SetPosition(0.000000, 0.000000, 0.000000)
TractorSystem.SetPosition2D(0.000000, 0.000000)
TractorSystem.SetRepairComplexity(1.000000)
TractorSystem.SetDisabledPercentage(0.750000)
TractorSystem.SetRadius(0.250000)
TractorSystem.SetNormalPowerPerSecond(1.000000)
TractorSystem.SetWeaponSystemType(TractorSystem.WST_TRACTOR)
TractorSystem.SetSingleFire(1)
TractorSystem.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
TractorSystem.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorSystem)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(1500.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(-0.017404, 3.394240, -0.383151)
ForwardTractor.SetPosition2D(0.000000, 0.000000)
ForwardTractor.SetRepairComplexity(1.000000)
ForwardTractor.SetDisabledPercentage(0.750000)
ForwardTractor.SetRadius(0.250000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(0)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(5.000000)
ForwardTractor.SetMaxDamage(800.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(3.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(0.300000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(-0.095800, 0.905940, -0.412427)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(-0.082228, 0.405713, 0.910294)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.523599, 0.523599)
ForwardTractor.SetArcHeightAngles(-0.098175, 0.872665)
ForwardTractor.SetTractorBeamWidth(0.300000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
PortImpulse2 = App.EngineProperty_Create("Port Impulse 2")

PortImpulse2.SetMaxCondition(2000.000000)
PortImpulse2.SetCritical(0)
PortImpulse2.SetTargetable(1)
PortImpulse2.SetPrimary(1)
PortImpulse2.SetPosition(-0.221129, -1.947400, -0.031067)
PortImpulse2.SetPosition2D(50.000000, 108.000000)
PortImpulse2.SetRepairComplexity(3.000000)
PortImpulse2.SetDisabledPercentage(0.500000)
PortImpulse2.SetRadius(0.250000)
PortImpulse2.SetEngineType(PortImpulse2.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse2)
#################################################
StarImpulse2 = App.EngineProperty_Create("Star Impulse 2")

StarImpulse2.SetMaxCondition(2000.000000)
StarImpulse2.SetCritical(0)
StarImpulse2.SetTargetable(1)
StarImpulse2.SetPrimary(1)
StarImpulse2.SetPosition(0.241509, -1.947400, -0.022256)
StarImpulse2.SetPosition2D(74.000000, 108.000000)
StarImpulse2.SetRepairComplexity(3.000000)
StarImpulse2.SetDisabledPercentage(0.750000)
StarImpulse2.SetRadius(0.250000)
StarImpulse2.SetEngineType(StarImpulse2.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse2)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedo", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Repair System", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Warp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Warp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Beams", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Beam 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Beam 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Beam 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Beam 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cloaking Device", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractor System", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Kessok Carrier", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
